<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

require_once dirname(__FILE__).'/../../../../inc/classes/class.checklist.php';
require_once dirname(__FILE__).'/../../../../inc/classes/class.xmlsql.php';

$img_chk_on  = './images/check_on.png';
$img_chk_off = './images/check_off.png';
$img_chk_wrn = './images/check_wrn.png';

buffer::str('<h2>'.$plugin_name.' : '.__('Table(s) deletion').'</h2>');

/*buffer::str('
<script type="text/javascript" language="javascript">
<!--
var check=window.confirm(\''.__('CAUTION ! Table(s) suppresion confirmation for').$plugin_name.' : '.__('You will lose all recorded data from this plugin').'\');
-->
</script>
');*/

      if(isset($_POST['delete_submited']))
      {
        $sql_check = new checklist();
        
        $xsql = new xmlsql($con,implode('',file(dirname(__FILE__).'/db-delete.xml')));
        $xsql->replace('{{PREFIX}}',DB_PREFIX);
        $xsql->execute($sql_check);
                      
        buffer::str('<h2>'.__('Table(s) deletion').'</h2>');
        
        buffer::str($sql_check->getHTML($img_chk_on,$img_chk_off,$img_chk_wrn));
        
        if (!$sql_check->checkAll())
        {
           buffer::str('<p class="important">'.__('Unable to delete all table(s).').'</p>');
        }
        else
        {
                 buffer::str( '<p><strong>'.$plugin_name.'&nbsp;:&nbsp;'.__('table(s) successfully deleted.You can recreate empty table(s) by reinstalling the plugin.').'</strong></p>');
                if ($sql_check->checkWarnings()) {
                       
                   buffer::str('<p>'.__('An error occured during table(s) suppresion,do it manually if persists.').'</p>');
                }
                
                 //header('Location: ' . $plugin_url );
		
        }
	
     }else{
     
       buffer::str('<form action="'.$plugin_url.'&mode=uninstall" method="post">'.'<p class="field">' . form::hidden('delete_submited', true) . '</p>' .
                   '<p class="field"><input class="submit" type="submit" name="delete_submited" value="'.__('Confirm table(s) deletion').'" /></p></form>');
     
     }
buffer::str('<a href="tools.php">' . __('Back to Tools') . '</a><br /><br />');
?>
