<?php

class dccc
{
   
   function getHTMLHeaders()
   {  
   
    //lecture du fichier conf.ini
    $conf_file = dirname(__FILE__).'/conf.ini';
    iniFile::read($conf_file);                 
    
    global $con;
     
     $sql ='SELECT `user_cc_license_filename` FROM '.DB_PREFIX.'cc';
     
     $rs = $con->select($sql);
     
     if($rs != null || !$rs->isEmpty())
     {
       $data = $rs->getData();
     
       foreach($data as $cc_filename)
       {
         echo "<link rel=\"meta\" type=\"application/rdf+xml\" title=\"License\" href=\"".dc_app_url.dccc_dir."/license-".$cc_filename['user_cc_license_filename'].".rdf\" />\n";
       }
     
     }
   
   }
   
   function showCCViewer()
   {
     //lecture du fichier conf.ini
     $conf_file = dirname(__FILE__).'/conf.ini';
     iniFile::read($conf_file);   
     
     global $con;
     
     $sql ='SELECT `user_cc_license_filename` FROM '.DB_PREFIX.'cc';
     
     $rs = $con->select($sql);
     
     if($rs != null ||!$rs->isEmpty())
     {
       $data = $rs->getData();
       echo "<ul>\n";
     
      foreach($data as $cc_filename)
      {
        echo "<li><a href=\"http://validator.creativecommons.org/validate.py?url=http://".$_SERVER['SERVER_NAME'].dc_app_url.dccc_dir.
             "/license-".$cc_filename['user_cc_license_filename'].".rdf\" title=\"Creative Commons Viewer\">
             <img src=\"".dc_img_url."cc.png\" alt=\"Creative Commons logo\" title=\"Creative Commons logo\" />".$cc_filename['user_cc_license_filename']."</a></li>\n";
      }
     
     }
     echo "</ul>\n";
   }
   
  function showCCViewerWindow()
  {
    //lecture du fichier conf.ini
    $conf_file = dirname(__FILE__).'/conf.ini';
    iniFile::read($conf_file);
     
    global $con;
     
    $sql ='SELECT `user_cc_license_filename` FROM '.DB_PREFIX.'cc';
     
    $rs = $con->select($sql);
          
    if($rs != null ||!$rs->isEmpty())
    {
      $data = $rs->getData();
      echo "<ul>\n";
     
      foreach($data as $cc_filename)
      {     
        echo "\t<li>\n";
        echo '<a href="#dcCreativeCommons" onclick="javascript:window.open(\'http://validator.creativecommons.org/validate.py?url=http://'.
	   $_SERVER['SERVER_NAME'].dc_app_url.dccc_dir.'/license-'.$cc_filename['user_cc_license_filename'].'.rdf\',\'CC-Viewer\');return false" title="Creative Commons Viewer">
           <img src="'.dc_img_url.'cc.png" alt="Creative Commons logo" title="Creative Commons logo" />'.$cc_filename['user_cc_license_filename'].'</a>';
        echo "\t</li>\n";
      }
    
    }
     
     echo "</ul>\n";
   }
   
   function showBlogCCLicenseLinkBanner($img ='somerights20.png',$cc_index=0)
   {
     global $con;
     $cc_mode='blog';
     $arry_license_link = array('by'=>'http://creativecommons.org/licenses/by/2.0/',
                           'bynd'=>'http://creativecommons.org/licenses/by-nd/2.0/',
			   'byncnd'=>'http://creativecommons.org/licenses/by-nc-nd/2.0/',
			   'bync'=>'http://creativecommons.org/licenses/by-nc/2.0/',
			   'byncsa'=>'http://creativecommons.org/licenses/by-nc-sa/2.0/',
			   'bysa' =>'http://creativecommons.org/licenses/by-sa/2.0/');       
     
     $sql ='SELECT * FROM '.DB_PREFIX.'cc WHERE user_cc_license_type ="'.$cc_mode.'"';
     
     $rs = $con->select($sql);
     
     
     if($rs != null ||!$rs->isEmpty())
     {
      $data = $rs->getData();
      $cc_data = $data[$cc_index];
      $cc_terms = $cc_data['user_cc_license_terms'];
      echo "<ul>\n";
      echo "\t<li><a href=\"".$arry_license_link[$cc_terms].dc_default_lang."/deed.".
           dc_default_lang."\" title=\"".$cc_terms."\" rel=\"license\">
	   <img src=\"".dc_img_url.$img."\" alt=\"Creative Commons Banner \" title=\"Creative Commons Banner\" /><br />\nCreative Commons License</a></li>\n";
      echo "</ul>\n";
      
     }
     
   }
   
   function showBlogCCLicenseLinkIcon($img ='cc_big.png',$cc_index=0)
   {
     global $con;
     $cc_mode='blog';
     $arry_license_link = array('by'=>'http://creativecommons.org/licenses/by/2.0/',
                           'bynd'=>'http://creativecommons.org/licenses/by-nd/2.0/',
			   'byncnd'=>'http://creativecommons.org/licenses/by-nc-nd/2.0/',
			   'bync'=>'http://creativecommons.org/licenses/by-nc/2.0/',
			   'byncsa'=>'http://creativecommons.org/licenses/by-nc-sa/2.0/',
			   'bysa' =>'http://creativecommons.org/licenses/by-sa/2.0/');       
     
     $sql ='SELECT * FROM '.DB_PREFIX.'cc WHERE user_cc_license_type ="'.$cc_mode.'"';
     
     $rs = $con->select($sql);
     
     
     if($rs != null || !$rs->isEmpty())
     {
      $data = $rs->getData();
      $cc_data = $data[$cc_index];
      $cc_terms = $cc_data['user_cc_license_terms'];
      echo "<ul>\n";
      echo "\t<li>\n".             
           "<a href=\"".$arry_license_link[$cc_terms].dc_default_lang."/deed.".
           dc_default_lang."\" title=\"".$cc_terms."\" rel=\"license\">
	   <img src=\"".dc_img_url.$img."\" alt=\"Creative Commons Icon \" title=\"Creative Commons Icon\" />Creative Commons License</a></li>\n";
      echo "</ul>\n";	    
      
     }       
   }
   function showBlogCCLicenseLink($img ='cc.png',$cc_index=0)
   {
     global $con;
     $cc_mode='blog';
     $arry_license_link = array('by'=>'http://creativecommons.org/licenses/by/2.0/',
                           'bynd'=>'http://creativecommons.org/licenses/by-nd/2.0/',
			   'byncnd'=>'http://creativecommons.org/licenses/by-nc-nd/2.0/',
			   'bync'=>'http://creativecommons.org/licenses/by-nc/2.0/',
			   'byncsa'=>'http://creativecommons.org/licenses/by-nc-sa/2.0/',
			   'bysa' =>'http://creativecommons.org/licenses/by-sa/2.0/');       
     
     $sql ='SELECT * FROM '.DB_PREFIX.'cc WHERE user_cc_license_type ="'.$cc_mode.'"';
     
     $rs = $con->select($sql);
     
     
     if($rs != null || !$rs->isEmpty())
     {
      $data = $rs->getData();
      $cc_data = $data[$cc_index];
      $cc_terms = $cc_data['user_cc_license_terms'];
      echo "<a href=\"".$arry_license_link[$cc_terms].dc_default_lang."/deed.".
            dc_default_lang."\" title=\"".$cc_terms."\" rel=\"license\">Creative Commons License</a>\n";
     }
   }
}
?>
